Not logged in. · Lost password · Register
Forum: Non-English Discussion German discussion RSS
Nach Update auf Release 2012-09-10 "Adora Belle RC1" sind keine Updates über Pluginmanager möglich
Page:  1  2  next 
Avatar
apfelgriebs #1
Member since Sep 2012 · 7 posts
Group memberships: Members
Show profile · Link to this post
Subject: Nach Update auf Release 2012-09-10 "Adora Belle RC1" sind keine Updates über Pluginmanager möglich
Hallo,

nachdem ich heute das Update auf "Release 2012-09-10 "Adora Belle RC1" durchgeführt habe sind keine Updates mehr möglich. Das Update wurde via Upgrade-Plugin ausgeführt. Das Plugin wurde vor dem Update über den Plugin-Manager aktualisiert. Auch über das Upgrade-Plugin ist dann keine weitere Aktualisierung möglich. Der Versuch endet in einem Timeout!

Ich habe das System über einen Restore anschließend wieder zurückgesetzt. Über den Plugin-Manager alle Plugins aktualisiert. Anschließend erneut über das Upgrade-Plugin auf Release 2012-09-10 "Adora Belle RC1" erfolgreich aktualisiert (keine Fehlermeldung). Gleiches Resultat. Anschließend keine Updates mehr möglich.

Hat jemand eine Idee?

Vielen Dank im Voraus für jede Hilfe!

Rüdiger
Avatar
apfelgriebs #2
Member since Sep 2012 · 7 posts
Group memberships: Members
Show profile · Link to this post
Subject: Problem besteht auch mit dokuwiki-2012-10-13.tgz “Adora Belle” weiterhin
Hallo,

mein geschildertes Problem besteht auch unter Verwendung der neues Version weiterhin. Nach Aktualisierung von Release 2012-01-25b "Angua" auf Adora Belle über das Upgrade-Plugin sind anschließend über den Pluginmanager keine Updates mehr möglich.

Ich habe gerade noch festgestellt, dass ein Restore über die aktualisiert Version das Problem nicht behebt. Ich muß das aktualisierte Verzeichnis komplett löschen und dann das Restore wieder einspielen.

Hat denn nicht irgendjemand eine Idee?

Grüße

Rüdiger
Avatar
Taggic (Moderator) #3
Member since Jan 2011 · 777 posts · Location: Gilching, Germany
Group memberships: Global Moderators, Members
Show profile · Link to this post
Ich habe ein ähnliches Problem, nur noch keine Zeit mich damit intensiver zu beschäftigen. Bei meiner Neuinstallation von Adora Belle geht Update über Plugin Manager nicht sondern bringt mir eine Fehlermeldung.

Was mir so zuerst in den Sinn kommt:
- der Link hat nicht gepaßt (eher unwahrscheinlich, den gab es schon lange)
- GitHub hat gerade nicht richtig funktioniert
- DokuWiki hat ein Problem im Plugin Manager
- php hat die richtigen Module zum Entpacken nicht mehr bzw. sind nunmehr inkompatibel zu GitHub Paketmaschine (wer von beiden da auch immer dran herumgescharubt hat)

Du bist also nicht allein mit Deinem Problem, ich kann es nur noch nicht lösen. Vielleicht ist aber jemand in der Community schon weiter.
best regards
Taggic
f-con wiki: http://www.fristercons.de/fcon/
Avatar
KleinerDodo #4
Member since Aug 2010 · 11 posts
Group memberships: Members
Show profile · Link to this post
In reply to post #1
Hast du denn eine Lösung gefunden?

Ich habe das gleiche Problem. Mit dem Upgrade-Plugin von der vorherigen Version auf Adora Belle RC1 aktualisiert und kein weiterer Upgrade funktioniert. Auch keine Installation von Plugins.

Gruß Günter
Avatar
virk #5
Member since Aug 2008 · 498 posts · Location: Aachen, Germany
Group memberships: Members
Show profile · Link to this post
Bei mir läuft dokuwiki in aktueller Version auf 10.8.2 von Apple. Da habe ich solche Probleme. Dokuwiki auf 10.5.8 hat diese Probleme nicht.
Avatar
Taggic (Moderator) #6
Member since Jan 2011 · 777 posts · Location: Gilching, Germany
Group memberships: Global Moderators, Members
Show profile · Link to this post
Ich habe kein Plugin zum Upgrade von DokuWiki genommen. Meine Probleme sind (derzeit) verschwunden. Wahrscheinlich lag es an GitHub bzw. dessen Performance.

Ich weiß also nicht, was das plugin genau macht aber hast Du mal die File Permissions untersucht ? Vielleicht kann DW auf das Plugin Dir / die Plugins nicht mehr schreibend zugreifen. Gab es irgendwelche Fehlermeldungen beim Plugin update über Plugin Manager ?

@virk
Bei Apple kann ich Dir leider gar nicht weiterhelfen (Ahnung = NULL). Aber vielleicht gibt es von Apple eine Art changelog, wo Du beide Versionen vergleichen kannst. Das Problem könnte sich evtl. darüber lokalisieren lassen.
best regards
Taggic
f-con wiki: http://www.fristercons.de/fcon/
Avatar
KleinerDodo #7
Member since Aug 2010 · 11 posts
Group memberships: Members
Show profile · Link to this post
Also, ich hab jetzt erst mal versucht die Plugininstallation zu untersuchen.

Als Beispiel, ich versuche den Plugin dw2pdf zu installieren. Den Link: https://github.com/splitbrain/dokuwiki-plugin-dw2pdf/tarba… gebe ich im Pluginmanager ein und drücke dann „Herunterladen“. Nach einer Zeit erscheint in der rechten Hälfte die Fehlermeldung: Konnte das Plugin https://github.com/splitbrain/dokuwiki-plugin-dw2pdf/tarba… nicht installieren

Meine Zugriffsrechte sind:

lib : 700 für den Webserver als Besitzer
lib/plugins: 770 für den Webserver als Besitzer und Gruppe des Webservers
lib/plugins/plugin: 770 für den Webserver als Besitzer und Gruppe des Webservers

Auch bestehende Plugins kann ich nicht aktualisieren.
Avatar
ach (Administrator) #8
Member since May 2006 · 1883 posts · Location: London, UK
Group memberships: Administrators, Members, Super Mods, Wiki Managers
Show profile · Link to this post
Für Plugininstallationen braucht DokuWiki auch Schreibrechte auf den temp-Ordner!
Avatar
KleinerDodo #9
Member since Aug 2010 · 11 posts
Group memberships: Members
Show profile · Link to this post
data hat 700 für den Webserver als Besitzer
data/tmp 770 für den Webserver als Besitzer

Die Seite ist bei Hosteurope und ich kann keine Rechte für "alle anderen" vergeben. Die werden immer auf 0 gesetzt.
Avatar
andi (Administrator) #10
User title: splitbrain
Member since May 2006 · 3179 posts · Location: Berlin Germany
Group memberships: Administrators, Members
Show profile · Link to this post
Da es offenbar mehrere Leute mit diesem Problem gibt, könnte das durchaus ein Bug sein. Eventuell dieser hier: https://bugs.dokuwiki.org/index.php?do=details&task_id…

Wie dort geschrieben, benötige ich Zugriff auf ein System wo der Fehler auftritt.
Read this if you don't get any useful answers.
Lies dies wenn du keine hilfreichen Antworten bekommst.
Avatar
steffchen #11
Member since Nov 2012 · 3 posts
Group memberships: Members
Show profile · Link to this post
Ich habe das gleiche Problem wie KleinerDodo: Auf meinen bei HostEurope gehosteten Seiten kann ich keine neuen Plugins installieren und bereits vorhandene nicht aktualisieren.

Der Fehler tritt auch mit der neuen HTTPClient.php nach wie vor auf und ist unabhängig von den vergebenen Berechtigungen!

Der Fehler tritt auch bei einer frischen Installation von "Adora Belle" auf, unter "Angua" auf dem selben Webspace nicht.
Das Löschen von Plugins aus dem Plugin-Manager funktioniert in allen Fällen und Versionen fehlerfrei.
Avatar
andi (Administrator) #12
User title: splitbrain
Member since May 2006 · 3179 posts · Location: Berlin Germany
Group memberships: Administrators, Members
Show profile · Link to this post
Siehe bug report
Read this if you don't get any useful answers.
Lies dies wenn du keine hilfreichen Antworten bekommst.
Avatar
steffchen #13
Member since Nov 2012 · 3 posts
Group memberships: Members
Show profile · Link to this post
Hallo Andi,

hmm, genau da (unter https://bugs.dokuwiki.org/index.php?do=details&task_id…) habe ich nachgesehen und mir daraufhin die dort empfohlene, neue HTTPClient.php besorgt und installiert. Nur leider läuft auch diese in den beschriebenen Timeout.

Oder soll das heißen, das ist ein Problem mit meinem Webhoster und da kann man halt nix machen? Was mich nur wundert, ist, dass das Problem erst mit dem Wechsel auf "Adora Belle" auftritt, während es bei der parallel installierten Version "Angua" nicht auftritt.

Oder habe ich dich und deine Antwort jetzt gründlich missverstanden? Wie gesagt: Hmm...
Avatar
andi (Administrator) #14
User title: splitbrain
Member since May 2006 · 3179 posts · Location: Berlin Germany
Group memberships: Administrators, Members
Show profile · Link to this post
Sollte mit der geupdateten lib eigentlich funktionieren. Bitte nochmal checken, ansonsten ein reopen auf dem Bug report requesten und mir Zugang zu deinem Server geben.
Read this if you don't get any useful answers.
Lies dies wenn du keine hilfreichen Antworten bekommst.
Avatar
LGeyer #15
Member since Jul 2011 · 298 posts · Location: Kaiserhammer, Germany
Group memberships: Members
Show profile · Link to this post
Quote by andi:
... ein reopen auf dem Bug report requesten ...

Wie macht man ein reopen?
Würde ich gerne zu meinem letzten Bug auch machen (falls das nicht inzwischen erledigt ist). Ich hatte nach dem Close einfach einen neuen Kommentar angehängt.

Lothar Geyer
Close Smaller – Larger + Reply to this post:
Verification code: VeriCode Please enter the word from the image into the text field below. (Type the letters only, lower case is okay.)
Smileys: :-) ;-) :-D :-p :blush: :cool: :rolleyes: :huh: :-/ <_< :-( :'( :#: :scared: 8-( :nuts: :-O
Special characters:
Page:  1  2  next 
Go to forum
Imprint
This board is powered by the Unclassified NewsBoard software, 20150713-dev, © 2003-2015 by Yves Goergen
Current time: 2017-10-24, 00:38:03 (UTC +02:00)